Bug 21445 - проблемы с сетью (pppoe соединение)
: проблемы с сетью (pppoe соединение)
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/alterator-net-pppoe)
: unstable
: all Linux
: P3 major
Assigned To:
:
:
: distro-blocker
:
: 19564
  Show dependency tree
 
Reported: 2009-09-07 08:23 by
Modified: 2010-01-16 15:17 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2009-09-07 08:23:40
сеть. а именно pppoe соединение. логин, пароль прописаны. состояние: 
соединение установлено. всё работает корректно, но как только закрываю 
"центр управления системой", соединение пропадает и приходится открывать 
обратно "цус" и снова менять состояние на "запустить". 
почему соединение 
пропадает при закрытие ЦУС?
------- Comment #1 From 2009-09-09 14:09:49 -------
У меня сейчас нет возможности заниматься этим модулем, ну и поскольку раньше с
ним такой проблемы не было -- не исключено, что она добавилась где-то ещё. 
Например, стали прибивать детишек.
------- Comment #2 From 2009-09-09 15:18:35 -------
(В ответ на комментарий №1)
> У меня сейчас нет возможности заниматься этим модулем, ну и поскольку раньше с
> ним такой проблемы не было -- не исключено, что она добавилась где-то ещё. 
> Например, стали прибивать детишек.

значит нужен массовый прецедент детоубийства?
------- Comment #3 From 2009-09-09 15:27:39 -------
(В ответ на комментарий №0)
> сеть. а именно pppoe соединение. логин, пароль прописаны. состояние: 
> соединение установлено. всё работает корректно, но как только закрываю 
> "центр управления системой", соединение пропадает и приходится открывать 
> обратно "цус" и снова менять состояние на "запустить". 
> почему соединение 
> пропадает при закрытие ЦУС?
Да, есть такое. Но это не проблема ЦУС.
Это проблема etcnet и pppd.
--
etcnet запускает pppd с принудительной опцией updetach. А pppd будучи
запущенным с этой опцией оказывается "прикреплённым" к вызвавшему его процессу.
Upstream etcnet считает подобное поведение проблемой pppd и не планирует пока
ничего исправлять.
--
------- Comment #4 From 2009-09-09 15:28:50 -------
(В ответ на комментарий №1)
> У меня сейчас нет возможности заниматься этим модулем, ну и поскольку раньше с
> ним такой проблемы не было -- не исключено, что она добавилась где-то ещё. 
> Например, стали прибивать детишек.
Это к сожалению было всегда :(
------- Comment #5 From 2009-09-09 15:30:34 -------
(В ответ на комментарий №3)
> (В ответ на комментарий №0)
> > сеть. а именно pppoe соединение. логин, пароль прописаны. состояние: 
> > соединение установлено. всё работает корректно, но как только закрываю 
> > "центр управления системой", соединение пропадает и приходится открывать 
> > обратно "цус" и снова менять состояние на "запустить". 
> > почему соединение 
> > пропадает при закрытие ЦУС?
> Да, есть такое. Но это не проблема ЦУС.
> Это проблема etcnet и pppd.
> --
> etcnet запускает pppd с принудительной опцией updetach. А pppd будучи
> запущенным с этой опцией оказывается "прикреплённым" к вызвавшему его процессу.
> Upstream etcnet считает подобное поведение проблемой pppd и не планирует пока
> ничего исправлять.
> --

так а можно как то этого избежать?
хоть скриптом каким нибудь.
просто ведь не удобно, сами понимаете.
------- Comment #6 From 2009-09-09 15:32:44 -------
(В ответ на комментарий №5)
> (В ответ на комментарий №3)
> > (В ответ на комментарий №0)
> > > сеть. а именно pppoe соединение. логин, пароль прописаны. состояние: 
> > > соединение установлено. всё работает корректно, но как только закрываю 
> > > "центр управления системой", соединение пропадает и приходится открывать 
> > > обратно "цус" и снова менять состояние на "запустить". 
> > > почему соединение 
> > > пропадает при закрытие ЦУС?
> > Да, есть такое. Но это не проблема ЦУС.
> > Это проблема etcnet и pppd.
> > --
> > etcnet запускает pppd с принудительной опцией updetach. А pppd будучи
> > запущенным с этой опцией оказывается "прикреплённым" к вызвавшему его процессу.
> > Upstream etcnet считает подобное поведение проблемой pppd и не планирует пока
> > ничего исправлять.
> > --
> 
> так а можно как то этого избежать?
> хоть скриптом каким нибудь.
> просто ведь не удобно, сами понимаете.
ну, alterator ведь настроил соединение. Поднимите его командой ifup pppX и всё
;)
В этом случае проблема не будет наблюдаться.
------- Comment #7 From 2009-09-09 15:33:38 -------
(В ответ на комментарий №5)
> (В ответ на комментарий №3)
> > (В ответ на комментарий №0)
> > > сеть. а именно pppoe соединение. логин, пароль прописаны. состояние: 
> > > соединение установлено. всё работает корректно, но как только закрываю 
> > > "центр управления системой", соединение пропадает и приходится открывать 
> > > обратно "цус" и снова менять состояние на "запустить". 
> > > почему соединение 
> > > пропадает при закрытие ЦУС?
> > Да, есть такое. Но это не проблема ЦУС.
> > Это проблема etcnet и pppd.
> > --
> > etcnet запускает pppd с принудительной опцией updetach. А pppd будучи
> > запущенным с этой опцией оказывается "прикреплённым" к вызвавшему его процессу.
> > Upstream etcnet считает подобное поведение проблемой pppd и не планирует пока
> > ничего исправлять.
> > --
> 
> так а можно как то этого избежать?
Избежать невозможно ибо процесс цепляется к управляющему терминалу того кто его
запустил и дальше с этим сделать ничего нельзя.
------- Comment #8 From 2009-09-09 15:36:20 -------
(В ответ на комментарий №6)
> (В ответ на комментарий №5)
> > (В ответ на комментарий №3)
> > > (В ответ на комментарий №0)
> > > > сеть. а именно pppoe соединение. логин, пароль прописаны. состояние: 
> > > > соединение установлено. всё работает корректно, но как только закрываю 
> > > > "центр управления системой", соединение пропадает и приходится открывать 
> > > > обратно "цус" и снова менять состояние на "запустить". 
> > > > почему соединение 
> > > > пропадает при закрытие ЦУС?
> > > Да, есть такое. Но это не проблема ЦУС.
> > > Это проблема etcnet и pppd.
> > > --
> > > etcnet запускает pppd с принудительной опцией updetach. А pppd будучи
> > > запущенным с этой опцией оказывается "прикреплённым" к вызвавшему его процессу.
> > > Upstream etcnet считает подобное поведение проблемой pppd и не планирует пока
> > > ничего исправлять.
> > > --
> > 
> > так а можно как то этого избежать?
> > хоть скриптом каким нибудь.
> > просто ведь не удобно, сами понимаете.
> ну, alterator ведь настроил соединение. Поднимите его командой ifup pppX и всё
> ;)
> В этом случае проблема не будет наблюдаться.

это я тоже понимаю.
просто если pppoe корректно не отрабатывает через цус, то может вообще убрать
её от туда?
только людей путать. все же по привычке будут закрывать его, чтобы не мешало.
------- Comment #9 From 2009-09-09 15:37:25 -------
(В ответ на комментарий №8)
Да я бы давно удалил этот модуль, но меня регулярно просят его оставить ;)
------- Comment #10 From 2009-09-09 15:38:36 -------
(В ответ на комментарий №8)
> (В ответ на комментарий №6)
> > (В ответ на комментарий №5)
> > > (В ответ на комментарий №3)
> > > > (В ответ на комментарий №0)
> > > > > сеть. а именно pppoe соединение. логин, пароль прописаны. состояние: 
> > > > > соединение установлено. всё работает корректно, но как только закрываю 
> > > > > "центр управления системой", соединение пропадает и приходится открывать 
> > > > > обратно "цус" и снова менять состояние на "запустить". 
> > > > > почему соединение 
> > > > > пропадает при закрытие ЦУС?
> > > > Да, есть такое. Но это не проблема ЦУС.
> > > > Это проблема etcnet и pppd.
> > > > --
> > > > etcnet запускает pppd с принудительной опцией updetach. А pppd будучи
> > > > запущенным с этой опцией оказывается "прикреплённым" к вызвавшему его процессу.
> > > > Upstream etcnet считает подобное поведение проблемой pppd и не планирует пока
> > > > ничего исправлять.
> > > > --
> > > 
> > > так а можно как то этого избежать?
> > > хоть скриптом каким нибудь.
> > > просто ведь не удобно, сами понимаете.
> > ну, alterator ведь настроил соединение. Поднимите его командой ifup pppX и всё
> > ;)
> > В этом случае проблема не будет наблюдаться.
> 
> это я тоже понимаю.
> просто если pppoe корректно не отрабатывает через цус, то может вообще убрать
> её от туда?
> только людей путать. все же по привычке будут закрывать его, чтобы не мешало.

Ну вообще он же не виноват. Это надо с etcnet/pppd разбираться, но тут уже нет
желающих.

Самый простой способ это исправить убрать упоминание об updetauch из кода
etcnet.
------- Comment #11 From 2009-09-09 15:39:35 -------
(В ответ на комментарий №9)
> (В ответ на комментарий №8)
> Да я бы давно удалил этот модуль, но меня регулярно просят его оставить ;)

так как то "ни два, ни полтора".
работает на половину. чёто как то не то...
------- Comment #12 From 2009-09-09 15:42:49 -------
(В ответ на комментарий №10)
> Ну вообще он же не виноват. Это надо с etcnet/pppd разбираться, но тут уже нет
> желающих.
> 
> Самый простой способ это исправить убрать упоминание об updetauch из кода
> etcnet.

ладно. с этим вопрос понятен. спасибо за ответы.
не хочу показаться наглым, но хотелось бы обратить Ваше внимание на проблему:
https://bugzilla.altlinux.org/show_bug.cgi?id=21263
там последний комментарий от AEN - он моё сообщение разместил.
------- Comment #13 From 2009-09-09 15:51:28 -------
2 pilot, sbolshakov: а в etcnet без updetach что с pppd будет не так?

2 ssv: правильный resolution тут именно WONTFIX при изложенных обстоятельствах.
------- Comment #14 From 2009-09-10 17:48:34 -------
(В ответ на комментарий №12)
> (В ответ на комментарий №10)
> > Ну вообще он же не виноват. Это надо с etcnet/pppd разбираться, но тут уже нет
> > желающих.
> > 
> > Самый простой способ это исправить убрать упоминание об updetauch из кода
> > etcnet.
> 
> ладно. с этим вопрос понятен. спасибо за ответы.
> не хочу показаться наглым, но хотелось бы обратить Ваше внимание на проблему:
> https://bugzilla.altlinux.org/show_bug.cgi?id=21263
> там последний комментарий от AEN - он моё сообщение разместил.
Есть мысль, а что если запускать ifup через nohup? ;)
Интересно, чем это может быть плохо?
------- Comment #15 From 2009-11-11 18:48:46 -------
(В ответ на комментарий №14)
> Есть мысль, а что если запускать ifup через nohup? ;)
> Интересно, чем это может быть плохо?

Попробую, по-моему должно сработать.
------- Comment #16 From 2009-11-16 19:41:58 -------
> > Есть мысль, а что если запускать ifup через nohup? ;)
> > Интересно, чем это может быть плохо?
> 
> Попробую, по-моему должно сработать.

Не сработало. Закрываю до новых идей.
------- Comment #17 From 2010-01-04 21:40:41 -------
извините, что вмешиваюсь.
Про nohup в качестве "объезда" никто не думал?
------- Comment #18 From 2010-01-05 23:48:12 -------
Я, конечно, понимаю, что все обсуждение читать тяжко, но хотя бы несколько
последних сообщений стоит.
------- Comment #19 From 2010-01-06 01:21:38 -------
Если кого-то интересует, почему pppd исторически использует именно updetach, то
я поясню, что на тот далёкий момент, когда это всё делалось, updetach был
наилучшим (если не единственным) способом надёжной синхронизации ifup и pppd.
Если кто-то придумает и реализует способ лучше, я не против.
Но если не тратить время на историю, то есть резон обратить внимание, что
успешно стартовавший pppd должен отсоединяться от управляющего терминала (на
что указывает сама опция updetach) и далее работать независимо. Попробуйте
установить, кто, кому, когда и какой сигнал посылает. Будет больше ясности.
------- Comment #20 From 2010-01-16 15:17:21 -------
Не надо убирать updetach, я тоже не знаю другого способа обеспечить
синхронизацию. Сигнал получал pppoe, а не сам pppd, т.к. с updetach pppd
вызывает fork до того, как отвяжется от терминала.

 * Fri Jan 15 2010 Mikhail Efremov <sem@altlinux.org> 0.9-alt1
 - use setsid for ifup comand (closes #21445).